htmldoc (1.9.7-1ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2021-23165.patch: number-up crash fix
    - CVE-2021-23165

 -- Mark Esler <mark.esler@canonical.com>  Wed, 18 May 2022 13:45:59 -0500

htmldoc (1.9.7-1ubuntu0.2) focal-security; urgency=medium

  * Updated libgcc-s1 dependency version

 -- Florencia Cabral Berenfus <florencia.cabralberenfus@canonical.com>  Fri, 10 Dec 2021 15:10:17 -0300

htmldoc (1.9.7-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: SEGV issue in file_extension
    - debian/patches/CVE-2021-23180.patch: Fix a crash bug with malformed URIs (Issue #418)
    - CVE-2021-23180

 -- Florencia Cabral Berenfus <florencia.cabralberenfus@canonical.com>  Thu, 18 Nov 2021 12:23:14 -0300

htmldoc (1.9.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:56 +0100

htmldoc (1.9.7-1) unstable; urgency=medium

  * QA upload
  * New upstream version 1.9.7
  * Add patch to fix a buffer underflow issue with GCC on Linux.
    - Fixes: CVE-2019-19630
  * Change debian/compat to debhelper-compat
  * Update Standards-Version to 4.4.1
  * Update patches
  * Bump dh to 12

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 22 Dec 2019 00:13:14 +0100

htmldoc (1.9.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Drop patches applied upstream.
  * Drop debian/clean, which is no longer required.
  * Bump Standards-Version to 4.1.4.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 11 Apr 2018 20:04:27 +0200

htmldoc (1.9.2-2) unstable; urgency=medium

  * QA upload.

  [ Reiner Herrmann ]
  * Remove operating system check during .desktop installation, to install
    .desktop and related files also on non-Linux systems.

  [ Helmut Grohne ]
  * Do not build documentation during arch-only build. (Closes: #894627)

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 03 Apr 2018 18:28:27 +0200

htmldoc (1.9.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #738050)
    - support for UTF-8 input files (Closes: #355044)
    - support for ndash and mdash entities (Closes: #351447)
    - fix for incorrect Ubuntu patch that broke pdf links (LP: #1662226)
  * Update upstream homepage. (Closes: #854256)
  * Update watch file to new location.
  * Add upstream signing key.
    - check signature with uscan
  * Add upstream metadata file.
  * Refresh patches and drop upstream applied ones.
  * Convert d/rules to dh-based build.
    - enable all hardening options
  * Replace OpenSSL build dependency with GnuTLS
    - upstream dropped OpenSSL support
  * Drop obsolete menu file.
  * Drop old README.Debian.
  * Drop unused htmldoc.overrides.
  * Add several build-related patches and minor cleanup/improvements.
  * Register documentation at doc-base.
  * Convert debian/copyright to copyright format 1.0.
  * Mark htmldoc-common as Multi-Arch: foreign.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 27 Mar 2018 18:22:33 +0200

htmldoc (1.8.27-9) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Comment out VCS -- 503-compliant.
  * Comment out Homepage -- taken over by a dissertation fraudster.
  * Make errors during build fatal.  Closes: #876250.
  * Drop ancient Replaces/Conflicts.
  * dh 11.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 04 Feb 2018 01:28:08 +0100

htmldoc (1.8.27-8) unstable; urgency=low

  * Use dpkg-buildflags if available.
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 06 May 2012 21:17:09 -0400

htmldoc (1.8.27-7) unstable; urgency=low

  * Add patch from upstream bug tracker to fix libpng 1.5 builds.
    Closes: #650562.

 -- Jeff Licquia <licquia@debian.org>  Sun, 04 Dec 2011 22:44:12 -0500

htmldoc (1.8.27-6) unstable; urgency=low

  * Add build-arch and build-indep to debian/rules per the
    (potential?) release goal for wheezy.
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Mon, 21 Nov 2011 10:47:20 -0500

htmldoc (1.8.27-5) unstable; urgency=low

  * Acknowledge and pull in security team NMU.  Closes: #537637.
  * Switch to 3.0 (quilt) source format, and separate patches.
  * Tweak build system to produce more useful information on build
    failures.
  * Build-Depend on libxpm-dev to fix a FTBFS with newer X11 dev packages.
    Closes: #554803.
  * Fix lintian warnings.

 -- Jeff Licquia <licquia@debian.org>  Sun, 20 Feb 2011 12:58:34 -0500

htmldoc (1.8.27-4.1) unstable; urgency=high

  * Non-maintainer upload by the testing Security Team.
  * Fixed CVE-2009-3050: Stack-based buffer overflow when setting custom page
    output size (Closes: #537637)

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 06 Oct 2009 23:11:59 +0200

htmldoc (1.8.27-4) unstable; urgency=low

  * Add watch file.
  * Update Standards-Version.
  * Fix Homepage to work in browsers that don't automatically try
    the "www" prefix on bare domains.  Closes: #504322.
  * Update debhelper compatibility version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 29 Mar 2009 22:49:56 -0400

htmldoc (1.8.27-3) unstable; urgency=low

  * Add Homepage and Vcs-* fields in debian/control.
  * Update Standards-Version.
  * Fix missing figures in HTML documentation.  Closes: #412354.
  * Miscellaneous lintian cleanups.

 -- Jeff Licquia <licquia@debian.org>  Sun, 20 Jan 2008 20:48:50 -0500

htmldoc (1.8.27-2) unstable; urgency=low

  * Make sure we can upgrade from earlier versions of htmldoc, with
    the man page move.  Closes: #388809.

 -- Jeff Licquia <licquia@debian.org>  Mon, 25 Sep 2006 08:07:07 -0400

htmldoc (1.8.27-1) unstable; urgency=low

  * New upstream version.
  * Fix priority.
  * Move man page to htmldoc-common.

 -- Jeff Licquia <licquia@debian.org>  Sun,  3 Sep 2006 14:21:46 -0400

htmldoc (1.8.26-1) unstable; urgency=low

  * New upstream version.
  * Fix the man page to report the proper charset parameters.
    Closes: #340473.
  * We now seem to be able to handle PNG images without crashing.
    Closes: #257427.
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sat, 19 Aug 2006 16:05:49 -0400

htmldoc (1.8.25-1) unstable; urgency=low

  * New upstream version.  Closes: #346067.
  * Upstream fix for headers/footers.  Closes: #230980.
  * Upstream fix for 64-bit segfaults.  Closes: #351569.

 -- Jeff Licquia <licquia@debian.org>  Mon,  6 Feb 2006 20:01:09 -0500

htmldoc (1.8.24-2) unstable; urgency=low

  * Add Replaces/Conflicts to aid upgrades from before the package
    split.  Closes: #320840.

 -- Jeff Licquia <licquia@debian.org>  Tue,  2 Aug 2005 18:37:53 -0500

htmldoc (1.8.24-1) unstable; urgency=low

  * New upstream version...  Closes: #291704.
  * ...which does proper typecasting on char array indexes.
    Closes: #222204.
  * Thanks to all the NMUs.  Closes: #196882, #241101, #300460.
  * Rebuilt with new C++.  Closes: #318460.
  * Fix build dependencies to not require specific versions of the
    JPEG and PNG libraries.
  * Fix debian/docs so we don't have to list docs/* individually.
  * Set bindir on install rule.
  * Enable OpenSSL support.  Closes: #281791.
  * Fix somewhat confusing URI in man page.  Closes: #279846.
  * Split /usr/share/htmldoc and documentation into a separate
    htmldoc-common package.  Closes: #233375.

 -- Jeff Licquia <licquia@debian.org>  Sun, 17 Jul 2005 10:28:53 +0000

htmldoc (1.8.23-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Closes: #300460 (htmldoc: segfault when generating ps or pdf), using
    patch by Mark Hymers <mark.hymers@ncl.ac.uk>.
  * urgency=high since it is an RC bug.

 -- Lars Wirzenius <liw@iki.fi>  Sun,  3 Apr 2005 17:01:00 +0300

htmldoc (1.8.23-1.2) unstable; urgency=high

  * NMU sent in delayed queue
  * Closes: #241101 "segfault when generating ps or pdf"
  * urgency high since it is a RC bug

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 Jul 2004 22:02:10 +0200

htmldoc (1.8.23-1.1) unstable; urgency=low

  * NMU in accordance with Jeff.
  * Rebuild for current sid (Closes: #196882).

 -- Yann Dirson <dirson@debian.org>  Thu, 20 Nov 2003 17:16:47 +0100

htmldoc (1.8.23-1) unstable; urgency=low

  * New upstream version.  Closes: #192807.
  * Rebuilt against new libfltk.  Closes: #192794.
  * Updated Standards-Version.
  * Updated copyright file.
  * Fixed a minor problem in the Description field of debian/control.

 -- Jeff Licquia <licquia@debian.org>  Sat, 10 May 2003 15:19:07 -0500

htmldoc (1.8.22-3) unstable; urgency=low

  * Rebuilt with g++ 3.2 and latest libfltk1.1.  Closes: #176145.

 -- Jeff Licquia <licquia@debian.org>  Sun, 23 Feb 2003 14:53:36 -0500

htmldoc (1.8.22-2) unstable; urgency=low

  * By request of the FLTK maintainer, build with libfltk1.1 now.
    Closes: #166564.
  * Tell dh_installdocs to not munge the package scripts, so the
    compatibility symlink goes away.

 -- Jeff Licquia <licquia@debian.org>  Tue, 29 Oct 2002 01:12:36 -0500

htmldoc (1.8.22-1) unstable; urgency=low

  * New upstream version.  Closes: #164660.
  * Build with libpng3 now.
  * Send usage output to stderr.  Closes: #156961.

 -- Jeff Licquia <licquia@debian.org>  Sun, 27 Oct 2002 01:34:48 -0500

htmldoc (1.8.20-1) unstable; urgency=low

  * New upstream version.  Closes: #144478.

 -- Jeff Licquia <licquia@debian.org>  Mon, 17 Jun 2002 11:52:44 -0500

htmldoc (1.8.17-2) woody-proposed-updates; urgency=high

  * Fixed bug in configure.in; --without-openssl-* wasn't recognized.
    Considered high priority because the previous version of htmldoc is
    linked against OpenSSL because of this bug, which is a violation of
    the GPL.

 -- Jeff Licquia <licquia@debian.org>  Mon, 17 Jun 2002 11:37:31 -0500

htmldoc (1.8.17-1) unstable; urgency=low

  * New upstream version.
  * Rebuilt to fix JPEG problems.  Closes: #95464, #98633.

 -- Jeff Licquia <licquia@debian.org>  Sun, 20 Jan 2002 15:02:22 -0500

htmldoc (1.8.14-1) unstable; urgency=low

  * New upstream version.
  * Updated Debian policy issues.
  * libfltk1 apps no longer require svgalib.  Closes: #59807.

 -- Jeff Licquia <licquia@debian.org>  Mon, 17 Sep 2001 23:48:48 -0500

htmldoc (1.8.13-0.1) unstable; urgency=low

  * Non maintainer upload.
  * New upstream version. Closes: Bug#87142
  * Fix Build-Depends
  * Modify configure.in and configure to remove OpenSSL support for now

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  5 Jul 2001 15:54:36 +0200

htmldoc (1.8.4-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Rebuilt against current sid to fix the undefined symbol when
    running htmldoc (closes: #88273).
  * debian/control: Add Build-Depends.
  * debian/rules: Don't call dh_suidregister anymore since it is
    obsolete.

 -- Torsten Landschoff <torsten@debian.org>  Sat,  7 Apr 2001 21:40:12 +0200

htmldoc (1.8.4-1) unstable; urgency=low

  * New upstream version.
  * Removed changes to link with OpenGL - upstream has fixed the problem.
  * Added Debian menu support.
  * Set to dynamically link with libjpeg, libpng, and libz, instead of
    using the versions provided in the source.

 -- Jeff Licquia <licquia@debian.org>  Mon, 17 Jan 2000 22:49:51 -0600

htmldoc (1.7-3) unstable; urgency=low

  * Added -lGL to configure.in to restore the GUI, since FLTK started
    using OpenGL. (closes bug #51165)

 -- Jeff Licquia <licquia@debian.org>  Sun, 28 Nov 1999 22:00:15 -0600

htmldoc (1.7-2) unstable; urgency=low

  * /usr/doc -> /usr/share/doc.

 -- Jeff Licquia <licquia@debian.org>  Sat, 30 Oct 1999 13:47:33 -0500

htmldoc (1.7-1) unstable; urgency=low

  * Initial Release.

 -- Jeff Licquia <licquia@debian.org>  Wed, 16 Jun 1999 17:44:13 -0500
